FUNCTION::LOG(3stap)

NAME
function::log - Send a line to the common trace buffer

SYNOPSIS

    log(msg:string)

ARGUMENTS

msg
    The formatted message string

DESCRIPTION

This function logs data. log sends the message immediately to staprun and to the bulk transport (relayfs) if it is being used. If the last character given is not a newline, then one is added. This function is not as efficient as printf and should be used only for urgent messages.

SEE ALSO
tapset::logging(3stap)